/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
*/

/*	Copyright (c) 1988 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"$Header: widec.h 1.4 90/10/31 $"

#ifndef _WIDEC_H_

/* declaration of a wide character data type			*/
#ifndef _WCHAR_T

typedef unsigned long wchar_t;

#define _WCHAR_T
#endif /* _WCHAR_T */

/* Character based input and output functions			*/
extern	wchar_t		fgetwc(), fputwc(), ungetwc();
extern	wchar_t		*getws(), *fgetws();
extern	int		putws(), fputws();
#define	getwc(p)	fgetwc(p)
#define	putwc(x, p)	fputwc(x, p)
#define getwchar()	getwc(stdin)
#define putwchar(x)	putwc((x), stdout)

/* wchar_t string operation functions				*/

extern wchar_t
	*wscpy(),
	*wsncpy(),
	*wscat(),
	*wsncat(),
	*wschr(),
	*wsrchr(),
	*wspbrk(),
	*wstok();
extern int
	wscmp(),
	wsncmp(),
	wslen(),
	wsspn(),
	wscspn();
extern char
	*wstostr();
extern	wchar_t
	*strtows();

#define _WIDEC_H_
#endif /* _WIDEC_H_ */
